# AdGuard Home

## Kubernetes configuration
### Generate password
```
htpasswd -B -n -b <USERNAME> <PASSWORD>
```
This returns `<USERNAME>:<HASH>`

Add this in the `AdGuradHome.yaml` file as follows:
```
users:
  - name: <USERNAME>
    password: <HASH>
```

### DNS exposition
When creating the DNS service, externalIPs need to include a out-cluster facing IP
For Wireguard only access, the outbound node's WG IP suffices

For internet exposition (not recommended), the public interface's IP on the outbound server will work
When behind a VPS provider, it is important to add the IP seen from within the VPS, not the one given through the VPS panel, if different
